%global commitdate 20240913
%global commit 93314beaa14d964ea443c0003fd85abebafbf37f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global debug_package %{nil}
%global systemd_units butter-schedule-prune.service butter-schedule-prune.timer butter-schedule-snapshot.service butter-schedule-snapshot.timer

Name:           butter
Version:        1.1
Release:        1.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Application for Btrfs snapshot management

License:        GPLv3
URL:            https://github.com/zhangyuannie/butter
Source:         https://github.com/zhangyuannie/butter/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  meson
BuildRequires:  cargo
BuildRequires:  libadwaita-devel
BuildRequires:  pkgconfig(libbtrfsutil)
BuildRequires:  gtk4-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  clang
BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros
BuildRequires:  python3-devel

Requires:       gtk4%{?_isa} >= 4.12.0
Requires:       libadwaita%{?_isa} >= 1.4.0
Requires:       libbtrfsutil%{?_isa} >= 5.10.0
Requires:       polkit
Requires:       systemd

%description
Application for Btrfs snapshot management

%files -f %{name}.lang
%license COPYING
%dir %{_sysconfdir}/butter/schedules
%{_bindir}/butter
%{_libexecdir}/butterd
%{_datadir}/applications/org.zhangyuannie.Butter.desktop
%{_datadir}/butter/
%{_datadir}/glib-2.0/schemas/org.zhangyuannie.Butter.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.zhangyuannie.Butter.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.zhangyuannie.Butter-symbolic.svg
%{_datadir}/polkit-1/actions/org.zhangyuannie.butter.policy
%{_datadir}/dbus-1/system.d/org.zhangyuannie.Butter1.conf
%{_datadir}/dbus-1/system-services/org.zhangyuannie.Butter1.service
%{_unitdir}/%{name}*

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
%systemd_post %{systemd_units}

%preun
%systemd_preun %{systemd_units}

%postun
%systemd_postun_with_restart %{systemd_units}

%changelog
* Tue Mar 15 2022 Zhangyuan Nie <yuan@znie.org> - 0.1.0-1
- Initial package
